/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
/* End reset styles */



/* now we use our normal styles */

/* adds custom colors */
:root {
  --dark: #111111;
  --darkblue: rgb(24, 31, 42);
  --darkgrey: rgb(44, 47, 54);
  --light: #dddddd;
  --bright: rgb(240, 255, 240);
  --cream: rgba(240, 240, 186, 0.295);
  --sangre: rgb(133, 0, 0);
  --cielo: rgba(201, 219, 252, 0.842);
}

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body { 
  background-color: var(--light);
  font-family: 'Cormorant Garamond', serif;
  font-weight: 600;
}

thead tr th {
  border: .25rem solid var(--dark);
  background-color: var(--cream);
}
.custom-table tr th{
  border: .15rem solid var(--dark);
  font-size: 1.25rem;
}

.jumbotron {
  position: relative;
  padding: 2rem;
  margin-bottom: 2rem;
  background-color: var(--dark);
}

.container {
  width: 99%;
}

.jumbotron .container {
  max-width: 100%;
  background-color: var(--darkblue);
  position: relative;
}

.jumbotron h1, h2, #currentTime {
  display: flex;
  justify-content: center;
  color: var(--light);
  text-transform: uppercase;
  padding: .5rem;
  font-size: 1.8rem;
}

#currentTime {
  text-transform: unset;
}

/* Add parallel vertical lines */
.jumbotron .container::before, .jumbotron .container::after {
  content: '';
  position: absolute;
  height: 100%;
  width: 1.5px;
  background-color: var(--sangre);
  bottom: 0;
  right: 2rem;
}

/* Add perpendicular horizontal line */
.jumbotron .container::before {
  width: 100%;
  height: .5px;
  bottom: 2.34rem;
  left: 50%;
  transform: translateX(-50%);
}

main {
  margin-left: 2rem;
  margin-right: 2rem;
}

.custom-card {
  border-color: var(--dark);
  color: var(--darkgrey);
}
/* only select the header and footer of the custom card element  */
.custom-card .card-header,
.custom-card .card-footer,
.custom-modal .modal-header,
.custom-modal .modal-footer {
  background-color: var(--darkblue);
  color: var(--light);
  font-size: 1.5rem;
}


.custom-card .card-body,
.custom-modal .modal-body {
  background-color: var(--cream);
  color: var(--darkblue);
  font-size: 1.25rem;
}


.custom-btn {
  background-color: var(--light);
  color: var(--dark);
  font-size: 1.12rem;
  font-weight: 600;
}

/* adds styling for hover pseudoclass */
.custom-btn:hover {
  background-color: var(--cielo);
  color:var(--sangre) ;
  font-size:1.17rem;
}

#submit-btn:hover {
  background-color: var(--cielo);
}

#exit-btn:hover {
  color: var(--sangre);
  font-weight: 900;
}

/* Add custom styles for the datepicker */
.ui-datepicker {
  font-family: 'Cormorant Garamond', serif;
  background-color: var(--light); /* Set background color to white */
  border: 1px solid var(--dark); /* Add a border for separation */
}

.ui-datepicker-header {
  background-color: var(--darkblue);
  color: var(--light);
}

.ui-datepicker-prev,
.ui-datepicker-next {
  background-color: var(--darkblue);
  padding-left: 1.2rem;
  padding-right: 1.2rem;
}


.ui-datepicker-month,
.ui-datepicker-year {
  color: var(--light);
}

.ui-datepicker-calendar {
  border-collapse: collapse;
  width: 100%;
}

.ui-datepicker-week-end {
  color: var(--sangre);
}


.ui-datepicker-unselectable {
  color: var(--darkgrey);
}

.ui-datepicker-current-day {
  background-color: var(--dark);
}

.ui-datepicker-today {
  font-weight: bold;
  color: var(--sangre);
}

.ui-datepicker-buttonpane {
  margin-top: 10px;
}

.custom-table td{
  border: .15rem solid var(--dark);
  background-color: var(--cream);
  color: var(--sangre);
  font-size: 1.25rem;
}

.delete-project-btn {
  cursor: pointer;
}